//
//  KKCountPushView.h
//  EventPettern1
//
//  Created by Tasuku Maeda on 6/26/12.
//  Copyright (c) 2012 KinkumaDesign. All rights reserved.
//

#import <UIKit/UIKit.h>

@class KKCountPushView;

@protocol KKCountPushViewDelegate <NSObject>
@optional
- (void)countPushView:(KKCountPushView *)countPushView countChange:(int)pushCount;
@end


@interface KKCountPushView : UIView
{
    int _pushCount;
    UIButton *_pushButton;
    UILabel *_countLabel;
    id<KKCountPushViewDelegate> _delegate;
}
@property (nonatomic, assign) id<KKCountPushViewDelegate> delegate;

@end
