//
//  KKViewController.m
//  EventPettern1
//
//  Created by Tasuku Maeda on 6/26/12.
//  Copyright (c) 2012 KinkumaDesign. All rights reserved.
//

#import "KKViewController.h"
#import "KKCountPushView.h"

@interface KKViewController ()
- (void)log:(NSString *)logText;
@end

@implementation KKViewController

- (void)dealloc
{
    [_countPushView release];
    [_logView release];
    [super dealloc];
}

- (void)loadView
{
    [super loadView];
    UIView *myView = [[UIView alloc] init];
    myView.backgroundColor = [UIColor whiteColor];

    _countPushView = [[KKCountPushView alloc] initWithFrame:CGRectMake(50, 50, 220, 140)];
    _countPushView.delegate = self;
    [myView addSubview:_countPushView];

    _logView = [[UITextView alloc] initWithFrame:CGRectMake(0, 240, 320, 240)];
    _logView.editable = NO;
    [myView addSubview:_logView];

    self.view = myView;
    [myView release];
}

- (void)viewDidLoad
{
    [super viewDidLoad];
}

- (void)countPushView:(KKCountPushView *)countPushView countChange:(int)pushCount
{
    [self log:[NSString stringWithFormat:@"count change : %d", pushCount]];
}

- (void)log:(NSString *)logText
{
    NSString *newLog = [NSString stringWithFormat:@"%@\n%@", _logView.text, logText];
    _logView.text = newLog;
}

@end
